use crate::store::{store, State, NAVIGATE_BACK};
use gdk4::subclass::prelude::ObjectSubclassIsExt;
use gtk::prelude::*;

#[widget(@store extends gtk::Box)]
#[template(file = "back.ui")]
pub struct BackHeaderButton {
    #[template_child]
    pub button: TemplateChild<gtk::Button>,

    #[selector(state.ui)]
    select_ui: (),
}

impl BackHeaderButton {
    pub fn new() -> Self {
        let o: Self = glib::Object::new();
        o
    }
    pub fn constructed(&self) {
        self.button().set_action_name(Some("app.navigate"));
        self.button().set_action_target(Some(&NAVIGATE_BACK));
    }

    fn select_ui(&self, state: &State) {
        let ui = &state.ui;
        self.button().set_visible(ui.history.len() > 1);
    }
}

impl Default for BackHeaderButton {
    fn default() -> Self {
        Self::new()
    }
}
