use crate::store::{gstore::*, store, State, NAVIGATE_BACK};
use gdk4::subclass::prelude::ObjectSubclassIsExt;
use gtk::prelude::*;

#[widget(@store extends gtk::Box)]
#[template(file = "save.ui")]
pub struct SaveHeaderButton {
    #[template_child]
    pub button: TemplateChild<gtk::Button>,

    #[selector(state.ui)]
    select_ui: (),
}

impl SaveHeaderButton {
    pub fn new() -> Self {
        let o: Self = glib::Object::new();
        o
    }
    pub fn constructed(&self) {
        self.button().connect_clicked(|_b| {
            dispatch!(crate::store::SAVE_EVENT);
            dispatch!(crate::store::NAVIGATE, NAVIGATE_BACK)
        });
    }

    fn select_ui(&self, state: &State) {
        let mobile = state.ui.mobile;
        let page = &state.ui.current_page;
        self.button()
            .set_visible(!mobile && page == crate::pages::EDITOR_PAGE_NAME);
    }
}

impl Default for SaveHeaderButton {
    fn default() -> Self {
        Self::new()
    }
}
