use crate::store::{store, State};
use gdk4::subclass::prelude::ObjectSubclassIsExt;

use gtk::prelude::*;

#[widget(@store extends gtk::Box)]
#[template(file = "spinner.ui")]
pub struct SpinnerHeaderButton {
    #[template_child]
    pub spinner: TemplateChild<gtk::Spinner>,

    #[selector(state.ui.syncing)]
    select_ui_syncing: (),
}

impl SpinnerHeaderButton {
    pub fn new() -> Self {
        let o: Self = glib::Object::new();
        o
    }
    pub fn constructed(&self) {
        // nothing to do
    }

    fn select_ui_syncing(&self, state: &State) {
        self.spinner().set_visible(state.ui.syncing);
    }
}

impl Default for SpinnerHeaderButton {
    fn default() -> Self {
        Self::new()
    }
}
