use crate::store::{gstore, State};
use serde::{Deserialize, Serialize};

#[derive(Debug, Default, Serialize, Deserialize, Clone, PartialEq, Eq)]
pub struct ImportSlice {
    pub importing: bool,
}

pub fn reduce(action: &gstore::Action, state: &mut State) {
    match action.name() {
        crate::store::OPEN_IMPORT => state.import.importing = true,
        crate::store::_CLOSE_IMPORT => state.import.importing = false,
        _ => {}
    }
}
