use gdk4::subclass::prelude::ObjectSubclassIsExt;
use gtk::prelude::*;
use std::cell::Cell;

#[widget(extends gtk::Box)]
#[template(file = "week_hour_header_cell.ui")]
pub struct WeekHourHeaderCell {
    #[property_u64]
    pub hour: Cell<u64>,
    #[template_child]
    pub label: TemplateChild<gtk::Label>,
}

impl WeekHourHeaderCell {
    pub fn new(hour: u64) -> Self {
        let o: Self = glib::Object::new();
        o.set_properties(&[("hour", &hour)]);
        o
    }
    pub fn constructed(&self) {
        self.connect_realize(|s| s.realized());
    }

    fn realized(&self) {
        let hour = self.imp().hour.clone().take();
        self.label().set_label(&format!("{:02}", hour));
    }
}
